com.tibbo.aggregate.common.expression.function

## Class FunctionStatisticDecorator

- java.lang.Object
- - com.tibbo.aggregate.common.expression.function.FunctionStatisticDecorator

- All Implemented Interfaces:
    Function

      public class FunctionStatisticDecorator
      extends java.lang.Object
      implements Function

- - ### Field Summary

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.Function

      `ABSOLUTE, EXPRESSION_EDITOR_OPTIONS, GROUP_COLOR_PROCESSING, GROUP_CONTEXT_RELATED, GROUP_DATA_BLOCK_PROCESSING, GROUP_DATA_TABLE_PROCESSING, GROUP_DATE_TIME_PROCESSING, GROUP_MATH, GROUP_NUMBER_PROCESSING, GROUP_OTHER, GROUP_STRING_PROCESSING, GROUP_SYSTEM, GROUP_TYPE_CONVERSION, HAS_RESOLVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionStatisticDecorator(Function delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(Evaluator evaluator, EvaluationEnvironment environment, java.lang.Object... parameters)`
    `AttributedObject` | `executeAttributed(Evaluator evaluator, EvaluationEnvironment environment, AttributedObject... parameters)`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParametersFootprint()`
    `java.lang.String` | `getReturnValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionStatisticDecorator

          public FunctionStatisticDecorator(Function delegate)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Function`

    - #### getCategory

          public java.lang.String getCategory()

      Specified by:
        `getCategory` in interface `Function`

    - #### getReturnValue

          public java.lang.String getReturnValue()

      Specified by:
        `getReturnValue` in interface `Function`

    - #### getParametersFootprint

          public java.lang.String getParametersFootprint()

      Specified by:
        `getParametersFootprint` in interface `Function`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `Function`

    - #### executeAttributed

          public AttributedObject executeAttributed(Evaluator evaluator,
                                                    EvaluationEnvironment environment,
                                                    AttributedObject... parameters)
                                             throws EvaluationException

      Specified by:
        `executeAttributed` in interface `Function`
      Throws:
        `EvaluationException`

    - #### execute

          public java.lang.Object execute(Evaluator evaluator,
                                          EvaluationEnvironment environment,
                                          java.lang.Object... parameters)
                                   throws EvaluationException

      Specified by:
        `execute` in interface `Function`
      Throws:
        `EvaluationException`